%define anolis_release 1

Name:           libgusb
Version:        0.4.9
Release:        %{anolis_release}%{?dist}
Summary:        GUsb is a GObject wrapper for libusb1
License:        LGPL-2.1-or-later
URL:            https://github.com/hughsie/libgusb
Source0:        https://github.com/hughsie/libgusb/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(gi-docgen) >= 2021.1 pkgconfig(gio-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.9 pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(umockdev-1.0) >= 0.17.7
BuildRequires:  meson >= 0.49.0 vala

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do asynchronous control, 
bulk and interrupt transfers with proper cancellation and integration into a mainloop. 
This makes it easy to integrate low level USB transfers with your high-level application 
or system daemon.

%package devel
Summary:        Libraries and headers for gusb
Requires:       %{name} = %{version}-%{release}

%description devel
The libgusb-devel package contains headers and libraries for libgusb.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The libgusb-doc package contains documentation files for libgusb.


%prep
%autosetup -p1


%build
%meson -Dvapi=true -Dtests=true
%meson_build


%install
%meson_install


%files
%license COPYING
%{_libdir}/libgusb.so.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi
%{_bindir}/gusbcmd
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%{_includedir}/gusb-1
%doc %{_datadir}/doc/%{name}

%files doc
%doc AUTHORS NEWS README.md 


%changelog
* Fri Feb 14 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.9-1
- Update to 0.4.9 from 0.4.2
- Migrated to SPDX license

* Mon Apr 10 2023 chen_yu_ao <m15927509890@163.com> - 0.4.2-2
- change spec file format

* Thu Dec 29 2022 Funda Wang <fundwang@yeah.net> - 0.4.2-1
- New verison 0.4.2

* Mon Sep 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-1
- update to 0.4.0

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.3.10-1
- Initial packaging for Anolis 23
